CopyHero

Read Blueprints

GET
/api/v1/blueprints/tasks/

List TaskBlueprints with filtering, searching, and sorting.

Filters:

  • search_query: Search in name and description (ILIKE)
  • owner_id: Filter by owner ID (superuser only)
  • owner_user_id: Filter by the owning user's organizations (superuser only)
  • owned_only: Restrict to the current user's own blueprints (excludes global and other users' rows)
  • must_include_job_type: Restrict to blueprints whose jobs include this type
  • sort_by: Sort by created_at, updated_at, or name
  • sort_order: Sort direction (asc or desc)
  • skip: Number of records to skip for pagination
  • limit: Maximum number of records to return

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

include_deleted?Include Deleted
Defaultfalse
search_query?|null
sort_by?Sort By
Default"created_at"
sort_order?Sort Order
Default"desc"
Value in"asc""desc"
skip?Skip
Range0 <= value
Default0
limit?Limit
Range1 <= value <= 1000
Default100
owner_id?integer|null
owner_user_id?integer|null
must_include_job_type?string|null
owned_only?Owned Only
Defaultfalse

Response Body

Successful Response

application/json
  1. response
data*array<>
count*Count
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/blueprints/tasks/'
Example Response
{  "data": [    {      "name": "string",      "description": "string",      "owner_id": 0,      "id": 0,      "jobs": [        {          "name": "string",          "description": "string",          "job_type": "string",          "input_data": "string",          "id": 0,          "owner_id": 0,          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z"        }      ],      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "count": 0}